Hi Jaap et al.

Thanks a lot for clarification. Tried again with near empty zim book and it works. Tried once more with original books and - it works also. So, all-clear signal.


Thanks for replies!

Best regards,

    Andreas


On 06/30/2016 07:40 PM, Jaap Karssenberg wrote:
HI Andreas,

Don't worry about the "gtkspell - failed" in the screenshot. THere are
two libraries that can be used, since you have gtkspellcheck the other
is not needed.

Can not reproduce the error, must be due to specific page content and
maybe specific language settings.

Regards,

Jaap

On Thu, Jun 30, 2016 at 1:42 PM Wehler Andreas <weh...@ivm.at
<mailto:weh...@ivm.at>> wrote:

    Thanks for reply. This sounds so well.

    Now I've added *sonett* stuff and removed python-gtkspell, which had
    been
    taken from somewhere else but not Ubuntu 16.04.

    There is no change. See attachment, message: gtkspell - Failed.

    I've enabled spell checker plugin nevertheless, but activating it
    leads to a crash:

        (zim:27663): Gtk-ERROR **: Char offset 61 is off the end of the line

    See attachment debug from

         zim -D --standalone

    Any hints?

    Thanks a lot,

          Andreas





    On 06/30/2016 12:59 PM, Charles Nepote wrote:
    > Le 30/06/2016 12:41, Wehler Andreas a écrit :
    >> Hi.
    >>
    >> I still cannot get zim spell checker to work under Ubuntu 16.04. Does
    >> any one have a pointer? Activation of spell checker plugin just gives
    >> "* gtkspell - Failed".
    >>
    >> Found so far:
    >>
    >>https://bugs.launchpad.net/ubuntu/+source/zim/+bug/1573923
    >>http://packages.ubuntu.com/wily/i386/python-gtkspell/download
    >>
    >> dpkg -l |grep spell |cut -c 1-80
    >> ii  aspell                                0.60.7~20110707-3build1
    >> ii  aspell-en                             7.1-0-1.1
    >> ii  dictionaries-common                   1.26.3
    >> ii  enchant                               1.6.0-10.1build2
    >> ii  hunspell-en-us                        20070829-6ubuntu3
    >> ii  libaspell15:amd64                     0.60.7~20110707-3build1
    >> ii  libenchant1c2a:amd64                  1.6.0-10.1build2
    >> ii  libgtkspell0                          2.0.16-1.1ubuntu1
    >> ii  libgtkspell3-3-0:amd64                3.0.7-2
    >> ii  libhunspell-1.3-0:amd64               1.3.3-4ubuntu1
    >> ii  python-enchant                        1.6.6-2
    >> ii  python-gtkspell                       2.25.3-13
    >> ii  python-gtkspellcheck                  3.0-1.1
    >> ii  python3-enchant                       1.6.6-2
    >> ii  python3-gtkspellcheck                 3.0-1.1
    >>
    > Works perfect for me in Ubuntu 16.04. Here is my config.
    >
    > dpkg -l |grep spell |cut -c 1-80
    > ii aspell 0.60.7~20110707-
    > ii aspell-en 7.1-0-1.1
    > ii aspell-fr 0.50-3-7
    > ii dictionaries-common 1.26.3
    > ii enchant 1.6.0-10.1build2
    > ii hunspell-en-au 1:5.1.0-1ubuntu2
    > ii hunspell-en-ca 1:5.1.0-1ubuntu2
    > ii hunspell-en-gb 1:5.1.0-1ubuntu2
    > ii hunspell-en-us 20070829-6ubuntu
    > ii hunspell-en-za 1:5.1.0-1ubuntu2
    > ii hunspell-fr 1:5.5-1
    > ii hunspell-fr-classical 1:5.5-1
    > ii libaspell15:amd64 0.60.7~20110707-
    > ii libenchant1c2a:amd64 1.6.0-10.1build2
    > ii libgtkspell0 2.0.16-1.1ubuntu
    > ii libgtkspell3-3-0:amd64 3.0.7-2
    > ii libhunspell-1.3-0:amd64 1.3.3-4ubuntu1
    > ii libkf5sonnet5-data 5.18.0-0ubuntu1
    > ii libkf5sonnetcore5:amd64 5.18.0-0ubuntu1
    > ii libkf5sonnetui5:amd64 5.18.0-0ubuntu1
    > ii python-enchant 1.6.6-2
    > ii python-gtkspellcheck 3.0-1.1
    > ii sonnet-plugins 5.18.0-0ubuntu1
    >
    > Charles.
    >
    >
    >>
    >> Thanks,
    >>
    >>    Andreas
    >>
    >>
    >> Ubuntu 16.04
    >> zim 0.65-2
    >>
    >>


_______________________________________________
Mailing list: https://launchpad.net/~zim-wiki
Post to     : zim-wiki@lists.launchpad.net
Unsubscribe : https://launchpad.net/~zim-wiki
More help   : https://help.launchpad.net/ListHelp

Reply via email to